/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/
main#main {
    margin-block: 40px 60px !important;
}
a {
    text-decoration: none !important;
}
/*.customHeader {
    text-align: center;
	background: #131327;
}
.logoHeader {
    aspect-ratio: 24 / 7;
}*/
header#masthead {
    background: #131329 linear-gradient(90deg, #2D4DEC00 0%, #2d4dec1c 15%, #2D4DEC 50%, #2d4dec1c 85%, #2D4DEC00 100%) 0% 0% no-repeat padding-box;
}
nav#sticky-navigation {
    background: #131327 linear-gradient(90deg, #2D4DEC00 0%, #2D4DEC 52%, #2D4DEC00 100%) 0% 0% no-repeat padding-box;
}
nav#sticky-navigation .inside-navigation.grid-container{
	justify-content: flex-end;
}
.sticky-navigation-logo img.is-logo-image{
	padding: 0;
}
.site-header {
    max-width: 100% !important;
}
.site-logo a {
    display: block;
}
nav#site-navigation {
    margin-left: auto;
	margin-right: 0 !important;
}
span.menu-bar-item a {
    padding: 0 !important;
}
ul#menu-menu-principale li a, p#breadcrumbs a {
    font-weight: bold;
}
/*.menu-bar-items {
    order: 1;
}
div#primary-menu {
    order: 2;
}
form#searchform {
    order: 3;
}*/
input#s {
    color: white;
}
input#s:placeholder-shown {
    background: url('/wp-content/uploads/2025/03/lente.svg') no-repeat 0 center;
	background-size: 20px 20px; /* Regola la dimensione dell'icona */
	filter: brightness(0) invert(1) opacity(0.5);
}
input#s:not(:placeholder-shown) {
    background: none;
}
input#s:placeholder-shown, input#s, input#s:focus, input#s:active, input#s:focus-visible {
	border-inline: none !important;
	border-top: none !important;
	padding: 0 !important;
	outline: none !important;
}
@media (min-width: 551px) and (max-width: 766.9px){
	

}
@media (max-width: 766.9px){
	header#masthead .inside-header, nav#sticky-navigation {
		padding: 3vw 10vw;
	}
	.site-logo {
		order: 1;
	}
	nav#mobile-menu-control-wrapper {
		margin-right: 0 !important;
		margin-left: auto;
		order: 2;
	}
	img.header-image.is-logo-image {
		max-width: 30vw;
	}
	button.menu-toggle {
		line-height: 2.5vw;
		padding: 0;
	}
	button.menu-toggle span svg {
		height: 5vw !important;
		width: 5vw !important;
	}
	div#page {
		padding-inline: 10vw;
	}
    p#breadcrumbs {
        font-size: 2.73vw;
		line-height: 3.2vw;
    }
}
@media (min-width: 767px){
	.menu-bar-items .hide-on-mobile {
		display: block !important;
	}
	header#masthead .site-logo {
		order: 1;
	}
	nav#site-navigation{
		order: 2 !important;
	}
	nav#sticky-navigation {
		margin: auto;
	}
	.sticky-navigation-logo img.is-logo-image {
		height: auto;
	}
	nav#sticky-navigation div#primary-menu {
		margin-left: auto !important;
	}
}
@media (min-width: 767px) and (max-width: 899.9px){
	header#masthead .inside-header{
		flex-direction: row;
	}
	img.header-image.is-logo-image, .sticky-navigation-logo img.is-logo-image {
		max-width: 15vw;
	}
	nav#site-navigation .inside-navigation {
		grid-gap: 35px;
	}
	p#breadcrumbs {
        font-size: 1.96vw;
		line-height: 2.3vw;
    }
	nav#sticky-navigation .menu-bar-items {
		margin-left: 35px !important;
	}
}
@media (min-width: 767px) and (max-width: 1099.9px){
	span.gp-icon.pro-menu-bars svg {
		height: 2.5vw !important;
		width: 2.5vw !important;
	}
	span.menu-bar-item a {
		line-height: 2.5vw !important;
	}
	ul#menu-menu-principale li a {
		font-size: 1.67vw;
		line-height: 1.67vw;
	}
}
@media (min-width: 767px) and (max-width: 1400px){
	header#masthead, nav#sticky-navigation {
		max-width: 90vw !important;
	}
	header#masthead .inside-header, nav#sticky-navigation {
		padding: 1.5vw;
	}	
	input#s {
		width: 20vw;
	}
	div#page {
		width: 90vw;
	}
}
@media (min-width: 900px) {
	nav#site-navigation .inside-navigation {
		grid-gap: 50px;
	}
	nav#site-navigation .inside-navigation, nav#sticky-navigation .inside-navigation{
		padding-inline: 0 !important;
	}
}
@media (min-width: 900px) and (max-width: 1099.9px){
	img.header-image.is-logo-image, .sticky-navigation-logo img.is-logo-image {
		max-width: 15vw;
	}
	p#breadcrumbs {
        font-size: 1.67vw;
        line-height: 2vw;
    }
}
@media (min-width: 900px) and (max-width: 1400px){
	nav#sticky-navigation .menu-bar-items {
		margin-left: 50px !important;
	}
}
@media (min-width: 1100px) and (max-width: 1400px){
	img.header-image.is-logo-image, .sticky-navigation-logo img.is-logo-image {
		max-width: 12vw;
	}
	span.gp-icon.pro-menu-bars svg {
		height: 2.5vw !important;
		width: 2.5vw !important;
	}
	span.menu-bar-item a {
		line-height: 2.5vw !important;
	}
	ul#menu-menu-principale li a {
		font-size: 1.64vw;
		line-height: 1.64vw;
	}
    p#breadcrumbs {
        font-size: 1.37vw;
        line-height: 1.6vw;
    }
}
@media (min-width: 1401px){
	header#masthead, nav#sticky-navigation {
		max-width: 1130px !important;
	}
	img.header-image.is-logo-image, .sticky-navigation-logo img.is-logo-image {
		max-width: 150px;
	}
	span.gp-icon.pro-menu-bars svg {
		height: 25px !important;
		width: 25px !important;
	}
	span.menu-bar-item a {
		line-height: 25px !important;
	}
	ul#menu-menu-principale li a {
		font-size: 20px;
		line-height: 20px;
	}
	input#s {
		width: 220px;
	}
	nav#sticky-navigation {
		padding: 20px;
	}
	nav#sticky-navigation .menu-bar-items {
		margin-left: 50px !important;
	}
    p#breadcrumbs {
        font-size: 15px;
        line-height: 18px;
    }
}